## org.apache.mahout.common
Class RandomWrapper

    java.lang.Object
      java.util.Random
          org.apache.mahout.common.RandomWrapper

All Implemented Interfaces:
  Serializable

    public final class RandomWrapper

extends Random

See Also:
  Serialized Form

Method Summary
`org.apache.commons.math3.random.RandomGenerator` `getRandomGenerator()`
`protected int` `next(int bits)`
`boolean` `nextBoolean()`
`void` `nextBytes(byte[] bytes)`
`double` `nextDouble()`
`float` `nextFloat()`
`double` `nextGaussian()`
`int` `nextInt()`
`int` `nextInt(int n)`
`long` `nextLong()`
`void` `setSeed(long seed)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setSeed

    public void setSeed(long seed)

  Overrides:
    `setSeed` in class `Random`

### getRandomGenerator

    public org.apache.commons.math3.random.RandomGenerator getRandomGenerator()

### next

    protected int next(int bits)

  Overrides:
    `next` in class `Random`

### nextBytes

    public void nextBytes(byte[] bytes)

  Overrides:
    `nextBytes` in class `Random`

### nextInt

    public int nextInt()

  Overrides:
    `nextInt` in class `Random`

### nextInt

    public int nextInt(int n)

  Overrides:
    `nextInt` in class `Random`

### nextLong

    public long nextLong()

  Overrides:
    `nextLong` in class `Random`

### nextBoolean

    public boolean nextBoolean()

  Overrides:
    `nextBoolean` in class `Random`

### nextFloat

    public float nextFloat()

  Overrides:
    `nextFloat` in class `Random`

### nextDouble

    public double nextDouble()

  Overrides:
    `nextDouble` in class `Random`

### nextGaussian

    public double nextGaussian()

  Overrides:
    `nextGaussian` in class `Random`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.